<?php
/**
 * This file is used for translation strings.
 *
 * @author  Tech Banker
 * @package google-maps-bank/includes
 * @version  2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}// Exit if accessed directly
if ( ! is_user_logged_in() ) {
	return;
} else {
	$access_granted = false;
	foreach ( $user_role_permission as $permission ) {
		if ( current_user_can( $permission ) ) {
			$access_granted = true;
			break;
		}
	}
	if ( ! $access_granted ) {
		return;
	} else {

		$gm_upgrade_kanow_about     = __( 'Know about', 'google-maps-bank' );
		$gm_full_features           = __( 'Full Features', 'google-maps-bank' );
		$gm_chek_our                = __( 'or check our', 'google-maps-bank' );
		$gm_online_demos            = __( 'Online Demos', 'google-maps-bank' );
		$gm_support_forum           = __( 'Ask For Help', 'google-maps-bank' );
		$gm_message_premium_edition = __( 'This feature is available only in Premium Editions! <br> Kindly Purchase to unlock it!', 'google-maps-bank' );
		$gm_premium_edition_label   = __( 'Premium Editions', 'google-maps-bank' );
		// common variables.
		$gm_settings_saved                   = __( 'Settings Saved!', 'google-maps-bank' );
		$gm_data_deleted                     = __( 'Data Deleted!', 'google-maps-bank' );
		$gm_show                             = __( 'Show', 'google-maps-bank' );
		$gm_hide                             = __( 'Hide', 'google-maps-bank' );
		$gm_choose_map                       = __( 'Choose Map', 'google-maps-bank' );
		$gm_choose_map_tooltips              = __( 'Choose a particular Map to add an overlay', 'google-maps-bank' );
		$gm_enable                           = __( 'Enable', 'google-maps-bank' );
		$gm_disable                          = __( 'Disable', 'google-maps-bank' );
		$gm_manage_map_apply                 = __( 'Apply', 'google-maps-bank' );
		$gm_save_changes                     = __( 'Save Changes', 'google-maps-bank' );
		$gm_send_request                     = __( 'Send Request', 'google-maps-bank' );
		$google_maps_bank                    = __( 'Google Maps', 'google-maps-bank' );
		$gm_user_access_message              = __( "You don't have Sufficient Access to this Page. Kindly contact the Administrator for more Privileges", 'google-maps-bank' );
		$gm_website_url                      = __( 'Website Url', 'google-maps-bank' );
		$gm_roles_and_capabilities_label     = __( 'Roles and Capabilities', 'google-maps-bank' );
		$gm_marker                           = __( 'Marker', 'google-maps-bank' );
		$gm_polygon                          = __( 'Polygon', 'google-maps-bank' );
		$gm_polyline                         = __( 'Polyline', 'google-maps-bank' );
		$gm_circle                           = __( 'Circle', 'google-maps-bank' );
		$gm_rectangle                        = __( 'Rectangle', 'google-maps-bank' );
		$gm_info_window_images_position      = __( 'Info Window Image Position', 'google-maps-bank' );
		$gm_infowindow_click                 = __( 'Click', 'google-maps-bank' );
		$gm_infowindow_hover                 = __( 'Hover', 'google-maps-bank' );
		$gm_info_window_open                 = __( 'Info Window Open', 'google-maps-bank' );
		$gm_info_window_open_tooltip         = __( 'Choose an action at which the Info Window will be open', 'google-maps-bank' );
		$gm_upload_icon                      = __( 'Upload Icon', 'google-maps-bank' );
		$gm_choose_icon                      = __( 'Choose Icon', 'google-maps-bank' );
		$gm_default_icon                     = __( 'Default Icon', 'google-maps-bank' );
		$gm_marker_title                     = __( 'Marker Title', 'google-maps-bank' );
		$gm_none                             = 'None';
		$gm_solid                            = 'Solid';
		$gm_dotted                           = 'Dotted';
		$gm_dashed                           = 'Dashed';
		$gm_bounce                           = 'Bounce';
		$gm_drop                             = 'Drop';
		$gm_left                             = 'Left';
		$gm_right                            = 'Right';
		$gm_icons                            = __( 'Icon', 'google-maps-bank' );
		$gm_latitude_longitude               = __( 'Latitude/Longitude', 'google-maps-bank' );
		$gm_stroke_weight                    = __( 'Stroke Weight', 'google-maps-bank' );
		$gm_stroke_color                     = __( 'Stroke Style (Color,Opacity)', 'google-maps-bank' );
		$gm_stroke_opacity                   = __( 'Stroke Color Opacity', 'google-maps-bank' );
		$gm_fill_color                       = __( 'Fill Color', 'google-maps-bank' );
		$gm_fill_opacity                     = __( 'Fill Color Opacity', 'google-maps-bank' );
		$gm_coordinates                      = __( 'Coordinates', 'google-maps-bank' );
		$gm_choose_marker                    = __( 'Choose Marker', 'google-maps-bank' );
		$gm_other_settings                   = __( 'Other Settings', 'google-maps-bank' );
		$gm_clear                            = __( 'Clear', 'google-maps-bank' );
		$gm_upload                           = __( 'Upload', 'google-maps-bank' );
		$gm_fill_color_placeholder           = __( 'Please provide Fill Color', 'google-maps-bank' );
		$gm_cancel_button                    = __( 'Cancel', 'google-maps-bank' );
		$gmb_edit_tooltip                    = __( 'Edit', 'google-maps-bank' );
		$gm_marker_type                      = __( 'Marker Type', 'google-maps-bank' );
		$gm_marker_type_tooltips             = __( 'Choose  either Formatted Address or Latitude/Longitude to provide a location to Marker', 'google-maps-bank' );
		$gm_formatted_address                = __( 'By Formatted Address', 'google-maps-bank' );
		$gm_by_latitude_longitude            = __( 'By Latitude/Longitude', 'google-maps-bank' );
		$gm_general_settings                 = __( 'General', 'google-maps-bank' );
		$gm_header_settings                  = __( 'Header', 'google-maps-bank' );
		$gm_button_settings                  = __( 'Buttons', 'google-maps-bank' );
		$text_directions_settings            = __( 'Text Directions', 'google-maps-bank' );
		$gm_control                          = __( 'Controls', 'google-maps-bank' );
		$gm_background_color                 = __( 'Background Color', 'google-maps-bank' );
		$gm_shortcode_line_color             = __( 'Line Color', 'google-maps-bank' );
		$gm_border_style                     = __( 'Border Style (Width,Thickness,Color)', 'google-maps-bank' );
		$gm_map_type                         = __( 'Map Type', 'google-maps-bank' );
		$gm_width                            = __( 'Width (px)', 'google-maps-bank' );
		$gm_title_style                      = __( 'Title Style (Size,Color)', 'google-maps-bank' );
		$gm_style                            = __( 'Text Style (Size,Color)', 'google-maps-bank' );
		$gm_height                           = __( 'Height (px)', 'google-maps-bank' );
		$gm_font_family                      = __( 'Font Family', 'google-maps-bank' );
		$gm_background_opacity               = __( 'Background Opacity', 'google-maps-bank' );
		$gm_background_color_opacity         = __( 'Background Color Opacity', 'google-maps-bank' );
		$gm_height_and_width                 = __( 'Height & Width (Px)', 'google-maps-bank' );
		$gm_title                            = __( 'Title', 'google-maps-bank' );
		$gm_api_key                          = __( 'API Key', 'google-maps-bank' );
		$gm_circle_radius_type               = __( 'Radius Distance', 'google-maps-bank' );
		$gm_circle_radius_type_tooltips      = __( 'Choose Measurement Unit for Radius Distance of Circle', 'google-maps-bank' );
		$gm_circle_radius_value              = __( 'Radius Value', 'google-maps-bank' );
		$gm_circle_radius_value_tooltips     = __( 'Provide Radius for Circle manually or directly by dragging resize handles on the Map', 'google-maps-bank' );
		$gm_circle_radius_value_placeholder  = __( 'Please provide Radius Value', 'google-maps-bank' );
		$gm_input_field_text_style           = __( 'Input Field Text Style (Size,Color)', 'google-maps-bank' );
		$gm_input_field_font_family          = __( 'Input Field Font Family', 'google-maps-bank' );
		$gm_input_field_font_family_tooltips = __( 'Type of Font Families available for the Input field', 'google-maps-bank' );
		$gm_top                              = __( 'Top', 'google-maps-bank' );
		$gm_bottom                           = __( 'Bottom', 'google-maps-bank' );
		$gm_marker_animation                 = __( 'Marker Animation', 'google-maps-bank' );
		$gm_marker_animation_tooltips        = __( 'Choose Animation Effect for displaying a marker in the Map', 'google-maps-bank' );
		$gm_add_map_address                  = __( 'Formatted Address', 'google-maps-bank' );
		$gm_add_map_latitude_tooltips        = __( 'Provide Latitude for Map Center', 'google-maps-bank' );
		$gm_add_map_address_tooltips         = __( 'Provide Formatted Address for Map Center', 'google-maps-bank' );
		$gm_add_map_address_placeholder      = __( 'Please provide Formatted Address', 'google-maps-bank' );
		$gm_add_map_latitude_placeholder     = __( 'Please provide Latitude for Map', 'google-maps-bank' );
		$gm_add_map_longitude_tooltips       = __( 'Provide Longitude for Map Center', 'google-maps-bank' );
		$gm_add_map_longitude_placeholder    = __( 'Please provide Longitude for Map', 'google-maps-bank' );


		// Menus.
		$gm_google_maps                          = __( 'Maps', 'google-maps-bank' );
		$gm_manage_map                           = __( 'Manage Maps', 'google-maps-bank' );
		$gm_add_map                              = __( 'Add Map', 'google-maps-bank' );
		$gm_basic                                = __( 'Basic', 'google-maps-bank' );
		$gm_overlays                             = __( 'Overlays', 'google-maps-bank' );
		$gm_manage_overlays                      = __( 'Manage Overlays', 'google-maps-bank' );
		$gm_add_overlays                         = __( 'Add Overlay', 'google-maps-bank' );
		$gm_update_overlays                      = __( 'Update Overlay', 'google-maps-bank' );
		$gm_layers                               = __( 'Layers', 'google-maps-bank' );
		$gm_manage_layers                        = __( 'Manage Layers', 'google-maps-bank' );
		$gm_add_layers                           = __( 'Add Layer', 'google-maps-bank' );
		$gm_store_locator                        = __( 'Store Locator', 'google-maps-bank' );
		$gm_map_customization                    = __( 'Map Customization', 'google-maps-bank' );
		$gm_manage_store                         = __( 'Manage Stores', 'google-maps-bank' );
		$gm_add_store                            = __( 'Add Store', 'google-maps-bank' );
		$gm_update_store                         = __( 'Update Store', 'google-maps-bank' );
		$gm_shortcode                            = __( 'Shortcodes', 'google-maps-bank' );
		$gm_roles_and_capabilities               = __( 'Roles & Capabilities', 'google-maps-bank' );
		$gm_system_information                   = __( 'System Information', 'google-maps-bank' );
		$gm_bulk_action                          = __( 'Bulk Action', 'google-maps-bank' );
		$gm_map_title                            = __( 'Map Title', 'google-maps-bank' );
		$gm_map_delete                           = __( 'Delete', 'google-maps-bank' );
		$gm_map_address                          = __( 'Address', 'google-maps-bank' );
		$gm_map_latitude                         = __( 'Latitude', 'google-maps-bank' );
		$gm_map_longitude                        = __( 'Longitude', 'google-maps-bank' );
		$gm_action                               = __( 'Action', 'google-maps-bank' );
		$gm_info_window                          = __( 'Info Window', 'google-maps-bank' );
		$gm_stroke_width_placeholder             = __( 'Please choose Stroke Weight', 'google-maps-bank' );
		$gm_stroke_color_placeholder             = __( 'Please choose Stroke Color', 'google-maps-bank' );
		$gm_coordinate_placeholder               = __( 'Please provide Coordinates', 'google-maps-bank' );
		$gm_stroke_opacity_placeholder           = __( 'Please provide Stroke Opacity', 'google-maps-bank' );
		$gm_fill_opacity_placeholder             = __( 'Please provide Fill Color Opacity', 'google-maps-bank' );
		$gm_directions                           = __( 'Directions', 'google-maps-bank' );
		$gm_background_color_placeholder         = __( 'Choose Background Color', 'google-maps-bank' );
		$gm_background_color_opacity_placeholder = __( 'Provide Background Opacity', 'google-maps-bank' );
		$gm_text_font_family                     = __( 'Text Font Family', 'google-maps-bank' );
		$gm_shortcode_background_color           = __( 'Input Field Background Color', 'google-maps-bank' );
		$gm_line_color_placeholder               = __( 'Please choose Line Color', 'google-maps-bank' );
		$gm_line_color_opacity_placeholder       = __( 'Please provide Line Opacity', 'google-maps-bank' );

		// add map.
		$gm_add_map_title_tooltips                = __( 'Title for a Map', 'google-maps-bank' );
		$gm_add_map_title_placeholder             = __( 'Please provide Map Title', 'google-maps-bank' );
		$gm_add_map_description                   = __( 'Map Description', 'google-maps-bank' );
		$gm_add_map_description_tooltips          = __( 'Description for a Map', 'google-maps-bank' );
		$gm_add_map_description_placeholder       = __( 'Please provide Map Description', 'google-maps-bank' );
		$gm_add_map_type_tooltips                 = __( 'Choose Type of Map', 'google-maps-bank' );
		$gm_add_map_type_hybrid                   = __( 'Hybrid', 'google-maps-bank' );
		$gm_add_map_type_satellite                = __( 'Satellite', 'google-maps-bank' );
		$gm_add_map_type_terrain                  = __( 'Terrain', 'google-maps-bank' );
		$gm_add_map_type_roadmap                  = __( 'Roadmap', 'google-maps-bank' );
		$gm_add_map_zoom_level                    = __( 'Zoom Level', 'google-maps-bank' );
		$gm_add_map_zoom_level_tooltips           = __( 'Choose Resolution of the Current View', 'google-maps-bank' );
		$gm_next_step                             = __( 'Next Step', 'google-maps-bank' );
		$gm_previous_step                         = __( 'Previous Step', 'google-maps-bank' );
		$gm_overlays_type                         = __( 'Overlay Type', 'google-maps-bank' );
		$gm_overlays_type_tooltips                = __( 'Choose Overlay Type for Map', 'google-maps-bank' );
		$gm_marker_title_tooltips                 = __( 'Title for Marker', 'google-maps-bank' );
		$gm_marker_title_placeholder              = __( 'Please provide Marker Title', 'google-maps-bank' );
		$gm_marker_description                    = __( 'Marker Description', 'google-maps-bank' );
		$gm_marker_description_tooltips           = __( 'Description for Marker', 'google-maps-bank' );
		$gm_marker_description_placeholder        = __( 'Please provide Marker Description', 'google-maps-bank' );
		$gm_add_marker_address_tooltips           = __( 'Formatted Address for Marker', 'google-maps-bank' );
		$gm_add_marker_address_placeholder        = __( 'Please provide Formatted Address for Marker', 'google-maps-bank' );
		$gm_marker_icon                           = __( 'Marker Icon', 'google-maps-bank' );
		$gm_marker_icon_tooltips                  = __( 'Choose Icon for Marker', 'google-maps-bank' );
		$gm_info_window_tooltips                  = __( 'Choose Enable to display Info Window', 'google-maps-bank' );
		$gm_info_window_width_tooltips            = __( 'Width to be used for Info Window', 'google-maps-bank' );
		$gm_info_window_width_placeholder         = __( 'Please Provide Info Window Width', 'google-maps-bank' );
		$gm_info_window_height_tooltips           = __( 'Height to be used for Info Window', 'google-maps-bank' );
		$gm_info_window_height_placeholder        = __( 'Please Provide Info Window Height', 'google-maps-bank' );
		$gm_marker_style_tooltips                 = __( 'Font Size and Color to be used for Info Window', 'google-maps-bank' );
		$gm_marker_font_size_placeholder          = __( 'Please Provide Font Size', 'google-maps-bank' );
		$gm_marker_font_color_placeholder         = __( 'Font Color', 'google-maps-bank' );
		$gm_marker_font_family_tooltips           = __( 'Type of Font Families available for Info Window', 'google-maps-bank' );
		$gm_marker_title_font_family              = __( 'Title Font Family', 'google-maps-bank' );
		$gm_marker_description_font_family        = __( 'Description Font Family', 'google-maps-bank' );
		$gm_add_marker_latitude_tooltips          = __( 'Latitude for Marker', 'google-maps-bank' );
		$gm_add_marker_latitude_placeholder       = __( 'Please provide Latitude for Marker', 'google-maps-bank' );
		$gm_add_marker_longitude_tooltips         = __( 'Longitude for Marker', 'google-maps-bank' );
		$gm_add_marker_longitude_placeholder      = __( 'Please provide Longitude for Marker', 'google-maps-bank' );
		$gm_border_style_tooltips                 = __( 'Width,Thickness and Color to be used for Border of Info Window', 'google-maps-bank' );
		$gm_border_radius                         = __( 'Border Radius (px)', 'google-maps-bank' );
		$gm_info_window_border_radius_tooltips    = __( 'Border Radius to be used for Info Window', 'google-maps-bank' );
		$gm_info_window_images                    = __( 'Info Window Image', 'google-maps-bank' );
		$gm_info_window_images_tooltips           = __( 'Choose Image to be displayed on Info Window', 'google-maps-bank' );
		$gm_info_window_images_upload_placeholder = __( 'Please upload Info Window Image', 'google-maps-bank' );
		$gm_add_marker                            = __( 'Add Marker', 'google-maps-bank' );
		$gm_close                                 = __( 'Close', 'google-maps-bank' );
		$gm_marker_upload_icon_placeholder        = __( 'Please upload Marker Image', 'google-maps-bank' );
		$gm_polygon_title                         = __( 'Polygon Title', 'google-maps-bank' );
		$gm_polygon_tooltips                      = __( 'Title for Polygon', 'google-maps-bank' );
		$gm_polygon_placeholder                   = __( 'Please provide Polygon Title', 'google-maps-bank' );
		$gm_polygon_description                   = __( 'Polygon Description', 'google-maps-bank' );
		$gm_polygon_description_tooltips          = __( 'Description for Polygon', 'google-maps-bank' );
		$gm_polygon_description_placeholder       = __( 'Please provide Polygon Description', 'google-maps-bank' );
		$gm_polygon_stroke_width_tooltips         = __( 'Choose Stroke Weight for Polygon', 'google-maps-bank' );
		$gm_polygon_stroke_color_tooltips         = __( 'Stroke Color and Opacity for Polygon', 'google-maps-bank' );
		$gm_polygon_fill_color_tooltips           = __( 'Fill Color and Opacity for Polygon', 'google-maps-bank' );
		$gm_polygon_coordinate_tooltips           = __( 'Provide Coordinates for Polygon Vertices by clicking on particular locations on the Map or by directly dragging handles to reposition, reshape and resize Polygon on the Map', 'google-maps-bank' );
		$gm_add_polygon                           = __( 'Add Polygon', 'google-maps-bank' );
		$gm_add_polyline                          = __( 'Add Polyline', 'google-maps-bank' );
		$gm_polyline_title                        = __( 'Polyline Title', 'google-maps-bank' );
		$gm_polyline_title_tooltips               = __( 'Title for Polyline', 'google-maps-bank' );
		$gm_polyline_title_placeholder            = __( 'Please provide Polyline Title', 'google-maps-bank' );
		$gm_polyline_description                  = __( 'Polyline Description', 'google-maps-bank' );
		$gm_polyline_description_tooltips         = __( 'Description for Polyline', 'google-maps-bank' );
		$gm_polyline_description_placeholder      = __( 'Please provide Polyline Description', 'google-maps-bank' );
		$gm_polyline_stroke_weigth_tooltips       = __( 'Stroke Weight for Polyline', 'google-maps-bank' );
		$gm_polyline_stroke_color_tooltips        = __( 'Stroke Color and Opacity for Polyline', 'google-maps-bank' );
		$gm_polyline_type                         = __( 'Polyline Type', 'google-maps-bank' );
		$gm_polyline_type_tooltips                = __( 'Line Style for Polyline', 'google-maps-bank' );
		$gm_polyline_coordinate_tooltips          = __( 'Provide Coordinates for Polyline by clicking on particular locations on the Map or by directly dragging handles to reposition and resize Polyline on the Map', 'google-maps-bank' );
		$gm_add_circle                            = __( 'Add Circle', 'google-maps-bank' );
		$gm_circle_title                          = __( 'Circle Title', 'google-maps-bank' );
		$gm_circle_title_tooltips                 = __( 'Title for Circle', 'google-maps-bank' );
		$gm_circle_title_placeholder              = __( 'Please provide Circle Title', 'google-maps-bank' );
		$gm_circle_description                    = __( 'Circle Description', 'google-maps-bank' );
		$gm_circle_description_tooltips           = __( 'Description for a Circle', 'google-maps-bank' );
		$gm_circle_description_placeholder        = __( 'Please provide Circle Description', 'google-maps-bank' );
		$gm_circle_stroke_width_tooltips          = __( 'Stroke Weight for Circle', 'google-maps-bank' );
		$gm_circle_stroke_color_tooltips          = __( 'Stroke Color and Opacity for Circle', 'google-maps-bank' );
		$gm_circle_fill_color_tooltips            = __( 'Fill Color and Opacity for Circle', 'google-maps-bank' );
		$gm_circle_coordinate_tooltips            = __( 'Provide Coordinates for Center of the Circle by clicking on the particular location on the Map or by directly dragging reposition and resize Circle on the Map', 'google-maps-bank' );
		$gm_marker_images                         = __( 'Marker Image', 'google-maps-bank' );
		$gm_marker_img_upload_tooltips            = __( 'Upload Image for Marker Icon', 'google-maps-bank' );
		$gm_add_rectangle                         = __( 'Add Rectangle', 'google-maps-bank' );
		$gm_rectangle_title                       = __( 'Rectangle Title', 'google-maps-bank' );
		$gm_rectangle_title_tooltips              = __( 'Title for Rectangle', 'google-maps-bank' );
		$gm_rectangle_title_placeholder           = __( 'Please provide Rectangle Title', 'google-maps-bank' );
		$gm_rectangle_stroke_color_tooltips       = __( 'Stroke Color and Opacity for Rectangle', 'google-maps-bank' );
		$gm_rectangle_fill_color_tooltips         = __( 'Fill Color and Opacity for Rectangle', 'google-maps-bank' );
		$gm_rectangle_coordinate_tooltips         = __( 'Provide Coordinates for Rectangle Vertice by clicking on particular on the Map or by directly dragging the handles to reposition and resize Rectangle on the Map', 'google-maps-bank' );
		$gm_add_marker_category                   = __( 'Marker Category', 'google-maps-bank' );
		$gm_add_marker_category_tooltips          = __( 'Choose a category for Marker Icon', 'google-maps-bank' );
		$gm_update_rectangle                      = __( 'Update Rectangle', 'google-maps-bank' );
		$gm_update_marker                         = __( 'Update Marker', 'google-maps-bank' );
		$gm_update_polygon                        = __( 'Update Polygon', 'google-maps-bank' );
		$gm_update_polyline                       = __( 'Update Polyline', 'google-maps-bank' );
		$gm_update_circle                         = __( 'Update Circle', 'google-maps-bank' );
		$gm_map_type_tooltips                     = __( 'Choose either Formatted Address or Latitude & Longitude for providing location to Map Center', 'google-maps-bank' );
		$gm_rectangle_description                 = __( 'Rectangle Description', 'google-maps-bank' );
		$gm_rectangle_description_tooltips        = __( 'Description for Rectangle', 'google-maps-bank' );
		$gm_rectangle_description_placeholder     = __( 'Please provide Rectangle Description', 'google-maps-bank' );

		// manage_overlays.
		$gm_markers             = __( 'Markers', 'google-maps-bank' );
		$gm_polygons            = __( 'Polygons', 'google-maps-bank' );
		$gm_polylines           = __( 'Polylines', 'google-maps-bank' );
		$gm_circles             = __( 'Circles', 'google-maps-bank' );
		$gm_rectangles          = __( 'Rectangles', 'google-maps-bank' );
		$gm_manage_overlay_type = __( 'Type', 'google-maps-bank' );

		// Add Layer.
		$gm_choose_add_layers_tooltips         = __( 'Choose Map for adding Layers', 'google-maps-bank' );
		$gm_update_layers                      = __( 'Layers Data have been saved Successfully', 'google-maps-bank' );
		$gm_enable_bicycling_layer             = __( 'Enable Bicycling Layer', 'google-maps-bank' );
		$gm_enable_bicycling_layer_tooltips    = __( 'Choose Show to highlight Bicycling Routes on the Map', 'google-maps-bank' );
		$gm_enable_traffic_layer               = __( 'Enable Traffic Layer', 'google-maps-bank' );
		$gm_enable_traffic_layer_tooltips      = __( 'Choose Show to highlight roads and real-time traffic on Map', 'google-maps-bank' );
		$gm_enable_transit_layer               = __( 'Enable Transit Layer', 'google-maps-bank' );
		$gm_enable_transit_layer_tooltips      = __( 'Choose Show to display Public Transit Network of a city on the Map', 'google-maps-bank' );
		$gm_enable_heatmap_layer               = __( 'Enable Heatmap Layer', 'google-maps-bank' );
		$gm_enable_heatmap_layer_tooltips      = __( 'Choose Show to enable Heatmap Layer on the Map', 'google-maps-bank' );
		$gm_heatmap_coordinates                = __( 'Heatmap Coordinates', 'google-maps-bank' );
		$gm_heatmap_coordinates_tooltips       = __( 'Provide Coordinates for Heatmap by clicking on the particular location on the Map', 'google-maps-bank' );
		$gm_heatmap_coordinates_placeholder    = __( 'Please provide Coordinates for Heatmap', 'google-maps-bank' );
		$gm_heatmap_gradient_color             = __( 'Heatmap Gradient Color', 'google-maps-bank' );
		$gm_heatmap_gradient_color_tooltips    = __( 'Choose Show to colorize the intensity of Heatmap', 'google-maps-bank' );
		$gm_heatmap_gradient_color_placeholder = __( 'Please choose  Heatmap Gradient Color', 'google-maps-bank' );
		$gm_heatmap_opacity                    = __( 'Heatmap Opacity', 'google-maps-bank' );
		$gm_heatmap_opacity_tooltips           = __( 'Opacity for Heatmap', 'google-maps-bank' );
		$gm_heatmap_opacity_placeholder        = __( 'Please provide Heatmap Opacity', 'google-maps-bank' );
		$gm_heatmap_radius                     = __( 'Heatmap Radius', 'google-maps-bank' );
		$gm_heatmap_radius_tooltips            = __( 'The Radius of influence for each data point on Heatmap', 'google-maps-bank' );
		$gm_heatmap_radius_placeholder         = __( 'Please provide Heatmap Radius', 'google-maps-bank' );
		$gm_enable_fusion_table_layer          = __( 'Enable Fusion Table Layer', 'google-maps-bank' );
		$gm_enable_fusion_table_tooltips       = __( 'Choose Show to enable Fusion Table layer', 'google-maps-bank' );
		$gm_fusion_table_id                    = __( 'Fusion Table Id', 'google-maps-bank' );
		$gm_fusion_table_id_tooltips           = __( 'An Id of Fusion Table', 'google-maps-bank' );
		$gm_fusion_table_id_placeholder        = __( 'Please provide Fusion Table Id', 'google-maps-bank' );
		$gm_enable_kml_layer                   = __( 'Enable KML Layer', 'google-maps-bank' );
		$gm_enable_kml_layer_tooltips          = __( 'Choose Show to display KML Layer on the Map', 'google-maps-bank' );
		$gm_kml_url                            = __( 'KML Url', 'google-maps-bank' );
		$gm_kml_url_tooltips                   = __( 'Url of KML File', 'google-maps-bank' );
		$gm_kml_url_placeholder                = __( 'Please provide KML Url', 'google-maps-bank' );

		// Manage Store Locator.
		$gm_store_name = __( 'Store Name', 'google-maps-bank' );

		// add store Locator.
		$gm_store_locator_title               = __( 'Store Title', 'google-maps-bank' );
		$gm_add_store_locator_description     = __( 'Store Description', 'google-maps-bank' );
		$gm_add_store_title_tooltips          = __( 'Title for Store', 'google-maps-bank' );
		$gm_add_store_title_placeholder       = __( 'Please provide Store Title', 'google-maps-bank' );
		$gm_add_store_description_tooltips    = __( 'Description for the Store', 'google-maps-bank' );
		$gm_add_store_description_placeholder = __( 'Please provide Store Description', 'google-maps-bank' );
		$gm_phone_number                      = __( 'Phone Number', 'google-maps-bank' );
		$gm_phone_number_tooltips             = __( 'Phone Number of the Store', 'google-maps-bank' );
		$gm_add_phone_number_placeholder      = __( 'Please provide Phone Number', 'google-maps-bank' );
		$gm_fax_number                        = __( 'Fax Number', 'google-maps-bank' );
		$gm_fax_number_tooltips               = __( 'Fax Number of the Store', 'google-maps-bank' );
		$gm_add_fax_number_placeholder        = __( 'Please provide Fax Number', 'google-maps-bank' );
		$gm_website_url_tooltips              = __( 'Website URL  of the Store', 'google-maps-bank' );
		$gm_add_website_url_placeholder       = __( 'Please provide Website URL', 'google-maps-bank' );
		$gm_image_url                         = __( 'Image URL', 'google-maps-bank' );
		$gm_image_url_tooltips                = __( 'Image URL of the Store', 'google-maps-bank' );
		$gm_additional_note                   = __( 'Additional Note', 'google-maps-bank' );
		$gm_additional_note_tooltips          = __( 'Additional Information on the Map', 'google-maps-bank' );
		$gm_additional_note_placeholder       = __( 'Please provide Additional Note', 'google-maps-bank' );

		// layout Settings.
		$gm_layout_settings                         = __( 'Layout Settings', 'google-maps-bank' );
		$gm_window_background_color_tooltips        = __( 'Choose Background Color for Directions Window', 'google-maps-bank' );
		$gm_window_background_opacity_tooltips      = __( 'Background Opacity for Directions Window', 'google-maps-bank' );
		$gm_directions_input_field_from             = __( 'Input Field Placeholder-From', 'google-maps-bank' );
		$gm_directions_input_field_to               = __( 'Input Field Placeholder-To', 'google-maps-bank' );
		$gm_directions_input_field_from_tooltips    = __( 'Provide From Field Placeholder Name to show on your Placeholder', 'google-maps-bank' );
		$gm_directions_input_field_from_placeholder = __( 'Provide From Placeholder Name', 'google-maps-bank' );
		$gm_directions_input_field_to_tooltips      = __( 'Provide To Field Placeholder Name to show on your Placeholder', 'google-maps-bank' );
		$gm_directions_input_field_to_placeholder   = __( 'Provide To Placeholder Name', 'google-maps-bank' );
		$gm_default_mode                            = __( 'Default Mode', 'google-maps-bank' );
		$gm_default_mode_tooltips                   = __( 'Choose the Mode Type', 'google-maps-bank' );
		$gm_driving                                 = __( 'Driving', 'google-maps-bank' );
		$gm_walking                                 = __( 'Walking', 'google-maps-bank' );
		$gm_bicycling                               = __( 'Bicycling', 'google-maps-bank' );
		$gm_transit                                 = __( 'Transit', 'google-maps-bank' );
		$gm_input_field_style                       = __( 'Input Field Placeholder Style (Size,Color)', 'google-maps-bank' );
		$gm_input_field_style_tooltips              = __( 'Font Size and Color to be used for the Input Field', 'google-maps-bank' );
		$gm_input_field_style_font_family           = __( 'Input Field Placeholder Font Family', 'google-maps-bank' );
		$gm_input_field_margin                      = __( 'Input Field Margin (px)', 'google-maps-bank' );
		$gm_directions_input_field_margin_tooltips  = __( 'Margin to be used for Directions Window', 'google-maps-bank' );
		$gm_input_field_padding                     = __( 'Input Field Padding (px)', 'google-maps-bank' );
		$gm_directions_input_field_padding_tooltips = __( 'Padding to be used for Input Field of Directions Window', 'google-maps-bank' );
		$gm_input_field_height                      = __( 'Input Field Height (px)', 'google-maps-bank' );
		$gm_directions_input_field_height_tooltip   = __( 'Height to be used for Input Field of Directions Window', 'gm_google_maps' );
		$gm_input_field_width                       = __( 'Input Field Width (%)', 'google-maps-bank' );
		$gm_directions_input_field_width_tooltips   = __( 'Width to be used for Input Field of Directions Window', 'google-maps-bank' );
		$gm_text_direction_width                    = __( 'Text Direction Width (%)', 'google-maps-bank' );
		$gm_text_direction_width_tootltips          = __( 'Width for Text Directions Panel', 'google-maps-bank' );
		$gm_info_window_image_padding               = __( 'Image Padding (px)', 'google-maps-bank' );
		$gm_info_window_image_padding_tootltip      = __( 'Image Padding for Info Window', 'google-maps-bank' );
		$gm_info_window_text_padding                = __( 'Text Padding (px)', 'google-maps-bank' );
		$gm_info_window_text_padding_tooltip        = __( 'Text Padding to be used for Info Window', 'google-maps-bank' );
		$gm_directions_border_radius_tootltips      = __( 'Border Radius for Directions Window', 'google-maps-bank' );
		$gm_border_radius_color_tooltips            = __( 'Choose Color', 'google-maps-bank' );

		$gm_direction_show_to_default_location          = __( 'Show Default To Location', 'google-maps-bank' );
		$gm_direction_show_to_default_location_tooltips = __( 'Choose Enable to show the default location', 'google-maps-bank' );


		$gm_direction_show_default_location            = __( 'Show Default From Location', 'google-maps-bank' );
		$gm_direction_show_default_location_tooltips   = __( 'Choose Enable to show the default location', 'google-maps-bank' );
		$gm_direction_show_details                     = __( 'Default Location', 'google-maps-bank' );
		$gm_direction_show_details_tooltips            = __( 'Choose either Formatted Address or Latitude & Longitude for providing direction', 'google-maps-bank' );
		$gm_store_locator_background_color_tooltips    = __( 'Choose Background Color for Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_background_opacity_tooltips  = __( 'Background Opacity for Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_border_style_tooltips        = __( 'Width,Thickness and Color to be used for Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_border_radius_tooltips       = __( 'Border Radius to be used for Header of Store Locator Window', 'google-maps-bank' );
		$gm_directions_border_radius_tooltips          = __( 'Border Radius to be used for Header of Directions Window', 'google-maps-bank' );
		$gm_store_locator_header_style_tooltips        = __( 'Font Size and Color to be used for Header of Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_header_font_family_tooltips  = __( 'Type of Font Families available for Header of Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_input_field_height_tooltip   = __( 'Height to be used for Input Field of Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_input_field_width_tooltips   = __( 'Width to be used for Input Field of Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_input_field_margin_tooltips  = __( 'Margin to be used for Input Field of Store Locator Window', 'google-maps-bank' );
		$gm_store_locator_input_field_padding_tooltips = __( 'Padding to be used for Input Field of Store Locator Window', 'google-maps-bank' );
		$gm_map_customization_google_maps              = __( 'Map Customization', 'google-maps-bank' );
		$gm_map_description_settings                   = __( 'Description', 'google-maps-bank' );
		$gm_map_html_tag                               = __( 'HTML Tag', 'google-maps-bank' );
		$gm_map_alignment                              = __( 'Alignment', 'google-maps-bank' );
		$gm_map_title_alignment_tooltips               = __( 'Choose Alignment for Map Title', 'google-maps-bank' );
		$gm_map_title_html_tag_tooltips                = __( 'Choose HTML Tag to be used for Map Title', 'google-maps-bank' );
		$gm_map_description_alignment_tooltips         = __( 'Choose Alignment for Map Description', 'google-maps-bank' );
		$gm_map_title_font_style_tooltips              = __( 'Font Size and Color to be used for Map Title', 'google-maps-bank' );
		$gm_map_description_html_tag_tooltips          = __( 'Choose HTML Tag to be used for Map Description', 'google-maps-bank' );
		$gm_map_dsecription_font_style                 = __( 'Description Style (Size,Color)', 'google-maps-bank' );
		$gm_map_dsecription_font_style_tooltips        = __( 'Font Size and Color to be used for Map Description', 'google-maps-bank' );
		$gm_map_dsecription_font_family_tooltips       = __( 'Type of Font Families available for Map Description', 'google-maps-bank' );
		$gm_map_description_tooltips                   = __( 'Margin to be used for Map Description', 'google-maps-bank' );
		$gm_map_description_padding_tooltips           = __( 'Padding to be used for Map Description', 'google-maps-bank' );
		$gm_map_title_font_family_tooltips             = __( 'Type of Font Families available for Map Title', 'google-maps-bank' );
		$gm_map_margin                                 = __( 'Margin (px)', 'google-maps-bank' );
		$gm_map_title_margin_tooltips                  = __( 'Margin to be used for Map Title', 'google-maps-bank' );
		$gm_map_padding                                = __( 'Padding (px)', 'google-maps-bank' );
		$gm_map_title_padding_tooltips                 = __( 'Padding to be used for Map Title', 'google-maps-bank' );
		$gm_map_h1_tag                                 = 'H1 Tag';
		$gm_map_h2_tag                                 = 'H2 Tag';
		$gm_map_h3_tag                                 = 'H3 Tag';
		$gm_map_h4_tag                                 = 'H4 Tag';
		$gm_map_h5_tag                                 = 'H5 Tag';
		$gm_map_h6_tag                                 = 'H6 Tag';
		$gm_map_paragraph_tag                          = 'Paragraph Tag';
		$gm_map_span_tag                               = 'Span Tag';
		$gm_map_blockquote_tag                         = 'Blockquote Tag';
		$gm_map_justify_alignment                      = 'Justify';
		$gm_map_leftcenter_alignment                   = __( 'Left Center', 'google_maps_bank' );
		$gm_map_controls_settings                      = __( 'Map Controls', 'google-maps-bank' );
		$gm_map_store_locator_table                    = __( 'Table', 'google-maps-bank' );
		$gm_map_store_table_width                      = __( 'Width (%)', 'google-maps-bank' );
		$gm_map_store_table_width_tootltips            = __( 'Width for Store Locator Table', 'google-maps-bank' );
		$gm_map_store_table_width_placeholder          = __( 'Please provide Store Locator Table Width (%)', 'google-maps-bank' );
		$gm_map_store_table_style_tooltips             = __( 'Font Size and Color to be used for Store Locator Table', 'google-maps-bank' );
		$gm_map_store_table_font_family_tooltips       = __( 'Type of Font Families available for Store Locator Table', 'google-maps-bank' );
		$gm_map_store_table_bg_color_tooltip           = __( 'Choose Background Color for Store Locator Table', 'google-maps-bank' );
		$gm_map_store_table_bg_opacity_tooltip         = __( 'Provide Background Color Opacity for Store Locator Table', 'google-maps-bank' );
		$gm_map_store_table_border_style_tooltip       = __( 'Width,Thickness and Color to be used for Border of Store Locator Table', 'google-maps-bank' );
		$gm_map_store_table_border_radius_tooltip      = __( 'Border Radius to be used for Store Locator Table', 'google-maps-bank' );
		$gm_show_default_location                      = __( 'Show Default Location', 'google-maps-bank' );
		$gm_show_default_location_tooltips             = __( 'Choose Enable to show the default location', 'google-maps-bank' );
		$gm_default_location                           = __( 'Default Location', 'google-maps-bank' );
		$gm_default_location_tooltips                  = __( 'Choose an option for providing the default location', 'google-maps-bank' );
		$gm_formatted_store_locator_tooltips           = __( 'Provide Formatted Address', 'google-maps-bank' );
		$gm_latitude_store_locator_tooltips            = __( 'Provide Latitude', 'google-maps-bank' );
		$gm_longitude_store_locator_tooltips           = __( 'Provide Longitude', 'google-maps-bank' );

		// custom css.
		$gm_custom_css             = __( 'Custom CSS', 'google-maps-bank' );
		$gm_custom_css_tooltips    = __( 'CSS code manually to add extra styling', 'google-maps-bank' );
		$gm_custom_css_placeholder = __( 'Please provide Custom CSS', 'google-maps-bank' );

		// Shortcodes.
		$gmb_map                                        = __( 'Map', 'google-maps-bank' );
		$gmb_display_type                               = __( 'Display Type', 'google-maps-bank' );
		$gmb_display_type_tooltips                      = __( 'Choose a Display Type', 'google-maps-bank' );
		$gmb_copied_failed                              = __( 'Failed to Copy.Please try again!', 'google-maps-bank' );
		$gmb_copy_to_clipboard                          = __( 'Copy Shortcode', 'google-maps-bank' );
		$gm_choose_map_shortcodes_tooltips              = __( 'Choose a Map to generate shortcode', 'google-maps-bank' );
		$gm_shortcode_map_title_tooltips                = __( 'Choose Show to display Map Title', 'google-maps-bank' );
		$gm_shortcode_map_description_tooltips          = __( 'Choose Show to display Map Description', 'google-maps-bank' );
		$gm_shortcode_map_type_control                  = __( 'Map Type Control', 'google-maps-bank' );
		$gm_shortcode_map_type_control_tooltips         = __( 'Choose Show to display Map Type Control', 'google-maps-bank' );
		$gm_generate_shortcode                          = __( 'Generate Shortcode', 'google-maps-bank' );
		$gm_map_customization_map_type_control_position = __( 'Map Type Control Position', 'google-maps-bank' );
		$gm_map_customization_map_type_control_position_tooltips    = __( 'Choose position for Map Type Control', 'google-maps-bank' );
		$gm_map_customization_left_bottom                           = 'Left Bottom';
		$gm_map_customization_right_top                             = 'Right Top';
		$gm_map_customization_right_center                          = 'Right Center';
		$gm_map_customization_right_bottom                          = 'Right Bottom';
		$gm_map_customization_left_top                              = 'Left Top';
		$gm_map_customization_left_center                           = 'Left Center';
		$gm_map_customization_bottom_left                           = 'Bottom Left';
		$gm_map_customization_bottom_right                          = 'Bottom Right';
		$gm_map_customization_bottom_center                         = 'Bottom Center';
		$gm_map_customization_top_right                             = 'Top Right';
		$gm_map_customization_top_left                              = 'Top Left';
		$gm_map_customization_top_center                            = 'Top Center';
		$gm_map_customization_map_type_control_style                = __( 'Map Type Control Style', 'google-maps-bank' );
		$gm_map_customization_map_type_control_style_tooltip        = __( 'Choose style for Map Type Control', 'google-maps-bank' );
		$gm_map_customization_horizontal_bar                        = __( 'Horizontal Bar', 'google-maps-bank' );
		$gm_map_customization_drop_down_menu                        = __( 'Dropdown Menu', 'google-maps-bank' );
		$gm_map_customization_draggable                             = __( 'Map Draggable', 'google-maps-bank' );
		$gm_map_customization_draggable_tooltip                     = __( 'Choose Enable to allow Map Dragging using mouse', 'google-maps-bank' );
		$gm_map_customization_mouse_wheel_scrolling                 = __( 'Mouse Wheel Scrolling', 'google-maps-bank' );
		$gm_map_customization_mouse_wheel_scrolling_tooltip         = __( 'Choose Enable to allow Mouse Wheel Scrolling on the Map', 'google-maps-bank' );
		$gm_map_customization_full_screen_control                   = __( 'Full Screen Control', 'google-maps-bank' );
		$gm_map_customization_full_screen_control_tooltip           = __( 'Choose Show to display Full Screen Control', 'google-maps-bank' );
		$gm_map_customization_full_screen_control_position          = __( 'Full Screen Control Position', 'google-maps-bank' );
		$gm_map_customization_full_screen_control_position_tooltips = __( 'Choose position for Full Screen Control', 'google-maps-bank' );
		$gm_map_customization_street_view_control                   = __( 'Street View Control', 'google-maps-bank' );
		$gm_map_customization_street_view_control_tooltip           = __( 'Choose Show to display Street View Control', 'google-maps-bank' );
		$gm_map_customization_street_view_control_position          = __( 'Street View Control Position', 'google-maps-bank' );
		$gm_map_customization_street_view_control_position_tooltip  = __( 'Choose position for Street View Control', 'google-maps-bank' );
		$gm_map_customization_rotate_control                        = __( 'Rotate Control', 'google-maps-bank' );
		$gm_map_customization_rotate_control_tooltips               = __( 'Choose Show to display Rotate Control on the Map', 'google-maps-bank' );
		$gm_map_customization_scale_control                         = __( 'Scale Control', 'google-maps-bank' );
		$gm_map_customization_scale_control_tooltips                = __( 'Choose Show to display Scale Control on the Map', 'google-maps-bank' );
		$gm_shortcode_map_height                                    = __( 'Maximum Height (px)', 'google-maps-bank' );
		$gm_shortcode_map_height_tooltips                           = __( 'Maximum Height for Map', 'google-maps-bank' );
		$gm_shortcode_map_width                                     = __( 'Maximum Width (%)', 'google-maps-bank' );
		$gm_shortcode_map_width_tooltips                            = __( 'Maximum Width for Map', 'google-maps-bank' );
		$gm_shortcode_map_language                                  = __( 'Map Language', 'google-maps-bank' );
		$gm_shortcode_map_language_tooltips                         = __( 'Particular Language for your Map', 'google-maps-bank' );
		$gm_map_customization_zoom_control                          = __( 'Map Zoom Control', 'google-maps-bank' );
		$gm_map_customization_zoom_control_tooltip                  = __( 'Choose Show to display Zoom Control for Map', 'google-maps-bank' );
		$gm_map_customization_zoom_control_alignment                = __( 'Map Zoom Control Alignment', 'google-maps-bank' );
		$gm_map_customization_zoom_control_alignment_tooltip        = __( 'Choose Alignment for Zoom Control', 'google-maps-bank' );
		$gm_map_customization_double_click_zoom                     = __( 'Map Double Click Zoom', 'google-maps-bank' );
		$gm_map_customization_double_click_zoom_tooltips            = __( 'Choose Enable to allow Map Zooming when user double clicks on Map', 'google-maps-bank' );
		$gm_map_customization_map_type_tooltips                     = __( 'Choose Show to display Map Type', 'google-maps-bank' );
		$gm_shortcode_directions_tooltip                            = __( 'Choose Show to Display Directions on the Map', 'google-maps-bank' );
		$gm_shortcode_directions_header_title                       = __( 'Directions Header Title', 'google-maps-bank' );
		$gm_shortcode_directions_header_title_tooltip               = __( 'Header Title for Directions', 'google-maps-bank' );
		$gm_directions_header_title_placeholder                     = __( 'Please provide Direction Header Title', 'google-maps-bank' );
		$gm_map_height_placeholder                                  = __( 'Please provide Map Height (px)', 'google-maps-bank' );
		$gm_map_width_placeholder                                   = __( 'Please provide Map Width (%)', 'google-maps-bank' );
		$gm_map_language_placeholder                                = __( 'Please provide Map Language', 'google-maps-bank' );
		$gm_shortcode_header_title_style_tooltips                   = __( 'Font Size and Color to be used for Header of Directions Window', 'google-maps-bank' );
		$gm_shortcode_header_font_family_tooltips                   = __( 'Type of Font Families available for Header of Directions Window', 'google-maps-bank' );
		$gm_center                                       = __( 'Center', 'google-maps-bank' );
		$gm_shortcode_direction_background_color_tooltip = __( 'Choose Background Color for Header of Directions Window', 'google-maps-bank' );
		$gm_shortcode_direction_background_color_opacity_tooltip     = __( 'Background Color Opacity for Header of Directions Window', 'google-maps-bank' );
		$gm_shortcode_direction_border_style_tooltips                = __( 'Width,Thickness and Color to be used for Border of Directions Window', 'google-maps-bank' );
		$gm_style_placeholder                                        = __( 'Text Style', 'google-maps-bank' );
		$gm_direction_label_style_tooltips                           = __( 'Font Size and Color to be used for Title of Directions Window', 'google-maps-bank' );
		$gm_direction_label_font_family_tooltips                     = __( 'Type of Font Families available for Title of Directions Window', 'google-maps-bank' );
		$gm_shortcode_direction_input_field_background_color_tooltip = __( 'Choose Background Color for Input Field', 'google-maps-bank' );
		$gm_shortcode_direction_input_field_background_opacity       = __( 'Input Field Background Opacity', 'google-maps-bank' );
		$gm_shortcode_direction_input_field_background_opacity_tooltip      = __( 'Provide Background Opacity for Input Field', 'google-maps-bank' );
		$gm_shortcode_direction_button_text_style_tooltip                   = __( 'Font Size and Color to be used for Direction Buttons', 'google-maps-bank' );
		$gm_shortcode_direction_button_text_font_family_tooltip             = __( 'Type of Font Families available for Direction Buttons', 'google-maps-bank' );
		$gm_shortcode_direction_button_background_color_tooltip             = __( 'Choose Background Color for Direction Buttons', 'google-maps-bank' );
		$gm_shortcode_direction_button_background_opacity_tooltip           = __( 'Provide Background Color Opacity for Direction Buttons', 'google-maps-bank' );
		$gm_shortcode_direction_button_height_and_width_tooltips            = __( 'Provide Height & Width for Direction Buttons', 'google-maps-bank' );
		$gm_shortcode_direction_button_alignment_tooltips                   = __( 'Choose Alignment for Direction Buttons Text', 'google-maps-bank' );
		$gm_shortcode_display_text_directions                               = __( 'Display Text Directions', 'google-maps-bank' );
		$gm_shortcode_display_text_directions_tooltip                       = __( 'Choose show to Dispay Text Directions on the Map', 'google-maps-bank' );
		$gm_shortcode_text_direction_style_tooltips                         = __( 'Font Size and Color to be used for Text Directions Panel', 'google-maps-bank' );
		$gm_shortcode_text_direction_font_family_tooltips                   = __( 'Type of Font Families available for Text Directions Panel', 'google-maps-bank' );
		$gm_shortcode_text_direction_background_color_tooltip               = __( 'Choose Background Color for Text Directions', 'google-maps-bank' );
		$gm_shortcode_text_direction_background_opacity_tooltip             = __( 'Provide Background Color Opacity for Text Directions Panel', 'google-maps-bank' );
		$gm_shortcode_text_direction_border_style_tooltip                   = __( 'Width,Thickness and Color to be used for Border of Text Directions Panel', 'google-maps-bank' );
		$gm_shortcode_text_direction_border_radius_tooltip                  = __( 'Border Radius to be used for Text Directions Panel', 'google-maps-bank' );
		$gm_shortcode_direction_line_color_tooltip                          = __( 'Choose Color for Lines', 'google-maps-bank' );
		$gm_shortcode_direction_line_color_opacity                          = __( 'Line Color Opacity', 'google-maps-bank' );
		$gm_shortcode_direction_line_color_opacity_tooltip                  = __( 'Provide Color Opacity for Lines', 'google-maps-bank' );
		$gm_shortcode_store_locator_tooltip                                 = __( 'Choose show to Dispay Store Locator on the Map', 'google-maps-bank' );
		$gm_shortcode_store_locator_background_color_tooltip                = __( 'Choose Background Color for Header of Store Locator Window', 'google-maps-bank' );
		$gm_shortcode_store_locator_background_color_opacity_tooltip        = __( 'Provide Background Color Opacity for Header of Store Locator Window', 'google-maps-bank' );
		$gm_shortcode_store_locator_label_style_tooltips                    = __( 'Font Size and Color to be used for Title of Store Locator Window', 'google-maps-bank' );
		$gm_shortcode_store_locator_label_font_family_tooltips              = __( 'Type of Font Families available for Title of Store Locator Window', 'google-maps-bank' );
		$gm_shortcode_store_locator_button_font_family_tooltip              = __( 'Type of Font Families available for Store Locator Buttons', 'google-maps-bank' );
		$gm_shortcode_store_locator_button_background_color_tooltip         = __( 'Choose Background Color for Store Locator Buttons', 'google-maps-bank' );
		$gm_shortcode_store_locator_button_background_color_opacity_tooltip = __( 'Provide Background Color Opacity for Store Locator Buttons', 'google-maps-bank' );
		$gm_shortcode_store_locator_button_textstyle_tooltip                = __( 'Text Size and Color for Store Locator Buttons', 'google-maps-bank' );
		$gm_shortcode_store_locator_button_border_radius_tooltip            = __( 'Border Radius to be used for Store Locator Buttons', 'google-maps-bank' );
		$gm_shortcode_store_locator_button_height_and_width_tooltips        = __( 'Height and Width for Store Locator Buttons', 'google-maps-bank' );
		$gm_shortcode_store_locator_button_alignment_tooltips               = __( 'Choose Alignment for Store Locator Buttons Text', 'google-maps-bank' );
		$gm_shortcode_store_locator_distance                                = __( 'Distance', 'google-maps-bank' );
		$gm_shortcode_store_locator_distance_tooltips                       = __( 'Measurement Unit for Distance', 'google-maps-bank' );
		$gm_kilometers                                = __( 'Kilometers', 'google-maps-bank' );
		$gm_miles                                     = __( 'Miles', 'google-maps-bank' );
		$gm_metres                                    = __( 'Metres', 'google-maps-bank' );
		$gm_circle_line_width_placeholder             = __( 'Please provide circle line Width (px)', 'google-maps-bank' );
		$gm_shortcode_store_locator_circle_line_width = __( 'Line Width (px)', 'google-maps-bank' );
		$gm_shortcode_store_locator_circle_line_width_tooltips        = __( 'Line Width for Circle', 'google-maps-bank' );
		$gm_shortcode_store_locator_line_color_tooltip                = __( 'Line Color for Circle', 'google-maps-bank' );
		$gm_shortcode_store_locator_circle_line_opacity               = __( 'Line Opacity', 'google-maps-bank' );
		$gm_shortcode_store_locator_circle_line_opacity_tooltip       = __( 'Line Color Opacity for circle', 'google-maps-bank' );
		$gm_shortcode_store_locator_circle_fill_color_tooltip         = __( 'Color for an area within the Circle', 'google-maps-bank' );
		$gm_store_locator_circle_fill_color_placeholder               = __( 'Please choose Circle Color', 'google-maps-bank' );
		$gm_shortcode_store_locator_circle_fill_color_opacity_tooltip = __( 'Color Opacity for an area within the Circle', 'google-maps-bank' );
		$gm_store_locator_circle_fill_color_opacity_placeholder       = __( 'Please provide Circle Opacity', 'google-maps-bank' );
		$gm_shortcodes                                 = __( 'Shortcode', 'google-maps-bank' );
		$gm_shortcodes_tooltips                        = __( 'Provide Shortcode for Map', 'google-maps-bank' );
		$gm_shortcodes_placeholder                     = __( 'Please provide Shortcode', 'google-maps-bank' );
		$gm_shortcode_theme_style                      = __( 'Theme Style', 'google-maps-bank' );
		$gm_shortcode_theme_style_tooltip              = __( 'Theme Style for the Map', 'google-maps-bank' );
		$gm_shortcode_theme_style_default              = __( 'Default', 'google-maps-bank' );
		$gm_shortcode_theme_style_subtle_grayscale     = 'Subtle Grayscale';
		$gm_shortcode_theme_style_pale_dawn            = 'Pale Dawn';
		$gm_shortcode_theme_style_blue_water           = 'Blue Water';
		$gm_shortcode_theme_style_shades_of_grey       = 'Shades of Grey';
		$gm_shortcode_theme_style_midnight_commander   = 'Midnight Commander';
		$gm_shortcode_theme_style_retro                = 'Retro';
		$gm_shortcode_theme_style_light_monochrome     = 'Light Monochrome';
		$gm_shortcode_theme_style_light_paper          = 'Paper';
		$gm_shortcode_theme_style_gowalla              = 'Gowalla';
		$gm_shortcode_theme_style_greyscale            = 'Greyscale';
		$gm_shortcode_theme_style_apple_maps_esque     = 'Apple Maps-esque';
		$gm_shortcode_theme_style_subtle               = 'Subtle';
		$gm_shortcode_theme_style_flat_map             = 'Flat Map';
		$gm_shortcode_theme_style_neutral_blue         = 'Neutral Blue';
		$gm_shortcode_theme_style_shift_worker         = 'Shift Worker';
		$gm_shortcode_theme_style_mapbox               = 'Mapbox';
		$gm_shortcode_theme_style_routexl              = 'RouteXL';
		$gm_shortcode_theme_style_avocado_world        = 'Avocado World';
		$gm_shortcode_theme_style_lunar_landscape      = 'Lunar Landscape';
		$gm_shortcode_theme_style_bright_bubbly        = 'Bright & Bubbly';
		$gm_shortcode_theme_style_countries            = 'Countries';
		$gm_shortcode_theme_style_bentley              = 'Bentley';
		$gm_shortcode_theme_style_old_timey            = 'Old Timey';
		$gm_shortcode_theme_style_icy_blue             = 'Icy Blue';
		$gm_shortcode_theme_style_snazzy_maps          = 'Snazzy Maps';
		$gm_shortcode_theme_style_cool_grey            = 'Cool Grey';
		$gm_shortcode_theme_style_becomeadinosaur      = 'Becomeadinosaur';
		$gm_shortcode_theme_style_blue_gray            = 'Blue Gray';
		$gm_shortcode_theme_style_subtle_greyscale_map = 'Subtle Greyscale Map';
		$gm_shortcode_theme_style_blue_essence         = 'Blue Essence';
		$gm_shortcode_theme_style_cobalt               = 'Cobalt';
		$gm_shortcode_theme_style_hopper               = 'Hopper';
		$gm_shortcode_theme_style_red_hues             = 'Red Hues';
		$gm_shortcode_theme_style_nature               = 'Nature';
		$gm_shortcode_theme_style_unimposed_topography = 'Unimposed Topography';
		$gm_shortcode_theme_style_flat_green           = 'Flat Green';
		$gm_shortcode_theme_style_red_alert            = 'Red Alert';
		$gm_shortcode_theme_style_turquoise_water      = 'Turquoise Water';
		$gm_shortcode_theme_style_vintage              = 'Vintage';
		$gm_shortcode_theme_style_clean_cut            = 'Clean Cut';
		$gm_shortcode_theme_style_black_and_white      = 'Black And White';
		$gm_shortcode_theme_style_souldisco            = 'Souldisco';
		$gm_shortcode_theme_style_bluish               = 'Bluish';
		$gm_shortcode_theme_style_simple_labels        = 'Simple Labels';
		$gm_shortcode_theme_style_homage_to_toner      = 'Homage to Toner';
		$gm_shortcode_theme_style_muted_blue           = 'Muted Blue';
		$gm_shortcode_theme_style_vintage_blue         = 'Vintage Blue';
		$gm_shortcode_theme_style_chilled              = 'Chilled';
		$gm_shortcode_theme_style_hints_of_gold        = 'Hints of Gold';
		$gm_shortcode_theme_style_vitamin_c            = 'Vitamin C';
		$gm_shortcode_theme_style_hot_pink             = 'Hot Pink';
		$gm_shortcode_theme_style_just_places          = 'Just Places';
		$gm_shortcode_theme_style_tripitty             = 'Tripitty';
		$gm_shortcode_theme_style_shade_of_green       = 'Shade of Green';
		$gm_shortcode_theme_style_hard_edges           = 'Hard Edges';
		$gm_shortcode_theme_style_aqua                 = 'Aqua';
		$gm_shortcode_theme_style_grass_is_greener_water_is_bluer = 'Grass is Greener Water is Bluer';
		$gm_shortcode_theme_style_pastel_tones                    = 'Pastel Tones';
		$gm_shortcode_theme_style_the_endless_atlas               = 'The Endless Atlas';
		$gm_shortcode_theme_style_neon_world                      = 'Neon World';
		$gm_shortcode_theme_style_blue                            = 'Blue';
		$gm_shortcode_theme_style_unsaturated_browns              = 'Unsaturated Browns';
		$gm_shortcode_theme_style_clean_grey                      = 'Clean Grey';
		$gm_shortcode_theme_style_mixed                           = 'Mixed';
		$gm_shortcode_theme_style_light_green                     = 'Light Green';
		$gm_shortcode_theme_style_muted_monotone                  = 'Muted Monotone';
		$gm_shortcode_theme_style_a_dark_world                    = 'A Dark World';
		$gm_shortcode_theme_style_hashtagnineninenine             = 'Hashtagnineninenine';
		$gm_shortcode_theme_style_candy_colours                   = 'Candy Colours';
		$gm_shortcode_theme_style_light_blue_water                = 'Light Blue Water';
		$gm_shortcode_theme_style_bates_green                     = 'Bates Green';
		$gm_shortcode_theme_style_roadtrip_at_night               = 'Road Trip At Night';
		$gm_shortcode_theme_style_old_dry_mud                     = 'Old Dry Mud';
		$gm_shortcode_theme_style_transport_for_london            = 'Transport for London';
		$gm_shortcode_theme_style_deep_green                      = 'Deep Green';
		$gm_shortcode_theme_style_subtle_green                    = 'Subtle Green';
		$gm_shortcode_theme_style_esperanto                       = 'Esperanto';
		$gm_shortcode_theme_style_holiday                         = 'Holiday';
		$gm_shortcode_theme_style_military_flat                   = 'Military Flat';
		$gm_shortcode_theme_style_jane_iredale                    = 'Jane Iredale';
		$gm_shortcode_theme_style_caribbean_mountain              = 'Caribbean Mountain';
		$gm_shortcode_theme_style_roadie                          = 'Roadie';
		$gm_shortcode_theme_style_blueprint                       = 'Blueprint';
		$gm_shortcode_theme_style_old_map                         = 'Old Map';
		$gm_shortcode_theme_style_ilustracao                      = 'Ilustra';
		$gm_shortcode_theme_style_night_vision                    = 'Night Vision';
		$gm_shortcode_theme_style_red_green                       = 'Red & Green';
		$gm_shortcode_theme_style_lost_in_the_desert              = 'Lost in the Desert';
		$gm_shortcode_theme_style_blue_cyan                       = 'Blue Cyan';
		$gm_shortcode_theme_style_pink_blue                       = 'Pink & Blue';
		$gm_shortcode_theme_style_purple_rain                     = 'Purple Rain';
		$gm_shortcode_theme_style_bobbys_world                    = 'Bobbys World';
		$gm_shortcode_theme_style_brownie                         = 'Brownie';
		$gm_shortcode_theme_style_bright_dessert                  = 'Bright Dessert';
		$gm_shortcode_theme_style_totally_pink                    = 'Totally Pink';
		$gm_shortcode_theme_style_san_andreas                     = 'San Andreas';
		$gm_shortcode_theme_style_jazzygreen                      = 'Jazzy Green';
		$gm_shortcode_theme_style_manushka                        = 'Manushka';
		$gm_shortcode_theme_style_overseas                        = 'Overseas';
		$gm_shortcode_theme_style_nature_highlight                = 'Nature Highlight';
		$gm_shortcode_theme_style_blueish                         = 'Blue-Ish';
		$gm_shortcode_theme_style_the_propia_effect               = 'The Propia Effect';
		$gm_shortcode_theme_style_dark_grey_on_light_grey         = 'Dark Grey on Light Grey';
		$gm_shortcode_theme_style_golden_crown                    = 'Golden Crown';
		$gm_shortcode_theme_style_veins                           = 'Veins';
		$gm_shortcode_theme_style_beige_white_and_blue            = 'Beige White and Blue';
		$gm_shortcode_theme_style_lemon_tree                      = 'Lemon Tree';
		$gm_shortcode_theme_style_swiss_cheese                    = 'Swiss Cheese';
		$gm_shortcode_theme_style_colorblind_friendly             = 'Colorblind Friendly';
		$gm_shortcode_theme_style_mikiwat                         = 'Mikiwat';
		$gm_shortcode_theme_style_towalk                          = 'Towalk';
		$gm_shortcode_map_themes                                  = __( 'Map Theme', 'google-maps-bank' );
		$gm_shortcode_map_themes_tooltips                         = __( 'Theme for the Map', 'google-maps-bank' );
		$gm_shortcode_store_locator_header_title                  = __( 'Store Locator Header Title', 'google-maps-bank' );
		$gm_shortcode_store_locator_header_title_tooltip          = __( 'Header Title for Store Locator', 'google-maps-bank' );
		$gm_store_locator_header_title_placeholder                = __( 'Please provide Store Locator Header Title', 'google-maps-bank' );

		// Other Settings.
		$gm_other_settings_automatic_plugin_updates         = __( 'Automatic Plugin Updates', 'google-maps-bank' );
		$gm_other_settings_automatic_plugin_updates_tooltip = __( 'Do you want Automatic Plugin Updates?', 'google-maps-bank' );
		$gm_other_settings_remove_tables_uninstall          = __( 'Remove Tables at Uninstall', 'google-maps-bank' );
		$gm_other_settings_remove_tables_uninstall_tooltip  = __( 'Do you want to remove Database at Uninstall of the Plugin?', 'google-maps-bank' );
		$gm_other_api_key_tooltip                           = __( 'Provide Google Maps API Key. You can get API Key from Google API Console', 'google-maps-bank' );
		$gm_other_api_key_placeholder                       = __( 'Please provide API Key', 'google-maps-bank' );
		$gm_other_settings_ip_address_fetching_method       = __( 'How does Google Maps get IPs', 'google-maps-bank' );
		$gm_other_settings_ip_address_tooltips              = __( 'Choose an option to get IPs for Google Maps', 'google-maps-bank' );
		$gm_other_settings_ip_address_fetching_option1      = __( 'Let Google Maps use the most secure method to get visitor IP address. Prevents spoofing and works with most sites', 'google-maps-bank' );
		$gm_other_settings_ip_address_fetching_option2      = __( 'Use PHP\'s built in REMOTE_ADDR and don\'t use anything else. Very secure if this is compatible with your site', 'google-maps-bank' );
		$gm_other_settings_ip_address_fetching_option3      = __( 'Use the X-Forwarded-for HTTP header. Only use if you have a front-end proxy or spoofing may result', 'google-maps-bank' );
		$gm_other_settings_ip_address_fetching_option4      = __( 'Use the X-Real-IP HTTP header. Only use if you have a front-end proxy or spoofing may result', 'google-maps-bank' );
		$gm_other_settings_ip_address_fetching_option5      = __( 'Use the Cloudflare \'CF-Connecting-IP\' HTTP header to get a visitor IP. Only use if you\'re using Cloudflare', 'google-maps-bank' );

		// Roles and Capabilities.
		$gm_roles_and_capabilities_full_control_label               = __( 'Full Control', 'google-maps-bank' );
		$gm_roles_and_capabilities_administrator_label              = __( 'Administrator', 'google-maps-bank' );
		$gm_roles_and_capabilities_author_label                     = __( 'Author', 'google-maps-bank' );
		$gm_roles_and_capabilities_editor_label                     = __( 'Editor', 'google-maps-bank' );
		$gm_roles_and_capabilities_contributor_label                = __( 'Contributor', 'google-maps-bank' );
		$gm_roles_and_capabilities_subscriber_label                 = __( 'Subscriber', 'google-maps-bank' );
		$gm_roles_and_capabilities_show_google_maps_menu_label      = __( 'Show Google Maps Menu', 'google-maps-bank' );
		$gm_roles_and_capabilities_show_google_maps_top_menu_label  = __( 'Show Google Maps Top Bar Menu', 'google-maps-bank' );
		$gm_roles_and_capabilities_administrator_role_label         = __( 'An Administrator Role can do the following', 'google-maps-bank' );
		$gm_roles_and_capabilities_author_role_label                = __( 'An Author Role can do the following', 'google-maps-bank' );
		$gm_roles_and_capabilities_editor_role_label                = __( 'An Editor Role can do the following', 'google-maps-bank' );
		$gm_roles_and_capabilities_contributor_role_label           = __( 'A Contributor Role can do the following', 'google-maps-bank' );
		$gm_roles_and_capabilities_subscriber_role_label            = __( 'A Subscriber Role can do the following', 'google-maps-bank' );
		$gm_roles_and_capabilities_sidebar_menu_tooltip             = __( 'Choose among the following roles who would be able to see the Google Maps Menu?', 'google-maps-bank' );
		$gm_roles_and_capabilities_top_bar_menu_tooltip             = __( 'Do you want to show Google Maps menu in Top Bar?', 'google-maps-bank' );
		$gm_roles_and_capabilities_admin_access_tooltip             = __( 'Choose what pages would be visible to the users having Administrator Access', 'google-maps-bank' );
		$gm_roles_and_capabilities_author_access_tooltip            = __( 'Choose what pages would be visible to the users having Author Access', 'google-maps-bank' );
		$gm_roles_and_capabilities_editor_access_tooltip            = __( 'Choose what pages would be visible to the users having Editor Access', 'google-maps-bank' );
		$gm_roles_and_capabilities_contributor_access_tooltip       = __( 'Choose what pages would be visible to the users having Contributor Access', 'google-maps-bank' );
		$gm_roles_and_capabilities_subscriber_access_tooltip        = __( 'Choose what pages would be visible to the users having Subscriber Access', 'google-maps-bank' );
		$gm_roles_and_capabilities_other_label                      = __( 'Others', 'google-maps-bank' );
		$gm_roles_capabilities_other_role                           = __( 'Other Roles can do the following', 'google-maps-bank' );
		$gm_roles_capabilities_other_role_tooltip                   = __( 'Choose what pages would be visible to the users having Others Role Access', 'google-maps-bank' );
		$gm_roles_and_capabilities_other_roles_capabilities         = __( 'Please tick appropriate capabilities for security purposes', 'google-maps-bank' );
		$gm_roles_and_capabilities_other_roles_capabilities_tooltip = __( 'Only users with these capabilities can access Google Maps', 'google-maps-bank' );

		// footer.
		$gm_success                       = __( 'Success!', 'google-maps-bank' );
		$gmb_media_error_settings_message = __( "Your WordPress version doesn't support Wp Media. Kindly update to the latest version of WordPress!", 'google-maps-bank' );
		$gm_confirm_cancel                = __( 'Are you sure ?', 'google-maps-bank' );
		$gmb_bulk_delete_data             = __( 'Please choose an Action!', 'google-maps-bank' );
		$gmb_confirm_choose_map           = __( 'Please choose at least one Map to Proceed!', 'google-maps-bank' );
		$gmb_error_choose_icon_message    = __( 'Please choose an Icon for a Marker', 'google-maps-bank' );

	}
}
